Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in libvirt
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in libvirt
ID: USN-4021-1
Distribution: Ubuntu
Plattformen: Ubuntu 18.10, Ubuntu 19.04
Datum: Mi, 19. Juni 2019, 22:47
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10132
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-3886
Applikationen: libvirt

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============4138798801711865130==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="CPv7f7BTkrciQjzeGHAu8FZICmyCz0wC7"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--CPv7f7BTkrciQjzeGHAu8FZICmyCz0wC7
Content-Type: multipart/mixed;
boundary="QBJP89KfE9R5pdVzcceHbFzYtpfYSDJPT";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <83a2755e-a364-5dc5-4920-b1e03c3af119@canonical.com>
Subject: [USN-4021-1] libvirt vulnerabilities

--QBJP89KfE9R5pdVzcceHbFzYtpfYSDJPT
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-4021-1
June 19, 2019

libvirt vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 19.04
- Ubuntu 18.10

Summary:

Several security issues were fixed in libvirt.

Software Description:
- libvirt: Libvirt virtualization toolkit

Details:

Daniel P. Berrangé discovered that libvirt incorrectly handled socket
permissions. A local attacker could possibly use this issue to access
libvirt. (CVE-2019-10132)

It was discovered that libvirt incorrectly performed certain permission
checks. A remote attacker could possibly use this issue to access the
guest agent and cause a denial of service. This issue only affected Ubuntu
19.04. (CVE-2019-3886)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 19.04:
libvirt-clients 5.0.0-1ubuntu2.3
libvirt-daemon 5.0.0-1ubuntu2.3
libvirt0 5.0.0-1ubuntu2.3

Ubuntu 18.10:
libvirt-clients 4.6.0-2ubuntu3.7
libvirt-daemon 4.6.0-2ubuntu3.7
libvirt0 4.6.0-2ubuntu3.7

After a standard system update you need to reboot your computer to make
all the necessary changes.

References:
https://usn.ubuntu.com/4021-1
CVE-2019-10132, CVE-2019-3886

Package Information:
https://launchpad.net/ubuntu/+source/libvirt/5.0.0-1ubuntu2.3
https://launchpad.net/ubuntu/+source/libvirt/4.6.0-2ubuntu3.7


--QBJP89KfE9R5pdVzcceHbFzYtpfYSDJPT--

--CPv7f7BTkrciQjzeGHAu8FZICmyCz0wC7
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAl0KcaoACgkQZWnYVadE
vpO+AQ//bofnHc4A1yHz6YUzPNvctyzK5ITSukgXeUV+NHdEGbL0rVlOEy5CQP6F
YtB8buQVlp6/24+DiOMmFo/nzU8SMHMtmqbrQEcVtlxyUzEUTAdqFj3Nq/et7mN9
kFFxTtsXMag4McWBM75J17lSjzvgz/QD36u3jLgo1JYEKL12GRQ03tPfLaIazV1D
cIi0z0yLOysYN7O4+lG6mswN/5nEy7kg9xMB1JEzzG7qfpv9N2LEh0sUWClHoIsB
PdAsN77RH5yBGLgk1gu2V/l2e8nGeyw2ihoFQ33j/7OkMuj/SYMHKL4BZzGe0V6y
E1BuF85zYZ9Zb8VUyXr7JOVAklAK6UPBs6pyAP/66IOQ265WE1xOH1J/Uuomxnl3
UOMv43WrQIbPBVoquYTtMu1XoA2rFmS8whgDIKx8jEjM+Rq2nNFGxcD+F9h5fujT
bgVsrpXiLNZcx4fItuZqbXeIAH7Zsy5nJzZXabpn3fX/A7tVlVn6G+GwPRfZEjDD
q/kEm5eGJ+U7UPEG4Dorm7JLMMppDyztHmx9AOLr1eMnpiqFIVHWmRJWiaqscvow
GsxUNXmHfeX2MRxsoV4sidaQNyd3ib0yZMOhc2uELdeEBm76yOEZvk67RjwFvDo2
KNYQAqS5z81t+auxKlmEuQQolyk3mvEz2uaBhiqOisj6pq0cZIs=
=d3Qz
-----END PGP SIGNATURE-----

--CPv7f7BTkrciQjzeGHAu8FZICmyCz0wC7--


--===============4138798801711865130==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============4138798801711865130==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung